Enable comprehensive panoramic protection for multiple volumes (v1)
Creates comprehensive panoramic protection for multiple volumes by establishing replication and backup relationships. Use this to ensure data protection across clusters and object storage systems, supporting cascading or fan-out workflows.
HTTP method and endpoint
POST /account/{accountId}/providers/cloudmanager_cbs/api/v1/panoramic-protection/working-environment/{workingEnvironmentId}/volume
Token usage
NetApp Console user token.
Usage notes
Enables comprehensive panoramic protection for multiple volumes. Based on whether the backup workflow is cascading or fan-out, the API creates a replication relationship with a volume in the secondary cluster and then creates a backup to cloud relationship with a cloud or StorageGRID object store. While setting up the replication relationship, the API verifies whether a cluster peering relationship is set up between primary and secondary clusters. If there is no relationship, it creates a cluster peering relationship, SVM peering, and a DP volume on the secondary cluster. After the replication setup is complete, the API performs a SnapMirror create and initialize operation. When creating a backup to cloud relationship, it first creates a bucket to which the backup is transferred, and then a SnapMirror Cloud relationship is created and initialized.
|
|
For new multi-bucket or per-volume object storage integrations, use the v2 panoramic protection API to enable backup on volumes. |
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
accountId |
string |
path |
True |
Account ID |
workingEnvironmentId |
string |
path |
True |
System ID |
authorization |
string |
header |
True |
User token |
X-Agent-Id |
string |
header |
True |
Request identifier |
Request Body
| Name | Type | Required | Description |
|---|---|---|---|
volume |
array[volume] |
True |
Example request
{
"volume": [
{}
]
}
Response
Status: 202, Default response
| Name | Type | Required | Description |
|---|---|---|---|
job-id |
string |
False |
Example response
{
"job-id": "string"
}
Definitions
See Definitions
rule
| Name | Type | Required | Description |
|---|---|---|---|
label |
string |
False |
|
retention |
string |
False |
backup-policy
| Name | Type | Required | Description |
|---|---|---|---|
name |
string |
False |
Required input |
rule |
array[rule] |
False |
|
archive-after-days |
string |
False |
|
object-lock |
string |
False |
replication
| Name | Type | Required | Description |
|---|---|---|---|
working-environment-id |
string |
False |
|
working-environment-name |
string |
False |
|
svm |
string |
False |
|
policy-name |
string |
False |
|
prefix |
string |
False |
|
suffix |
string |
False |
|
destination-aggregates |
array[string] |
False |
is-enabled
| Name | Type | Required | Description |
|---|---|---|---|
local-snapshot |
boolean |
False |
|
replication |
boolean |
False |
|
cloud-backup |
boolean |
False |
volume
| Name | Type | Required | Description |
|---|---|---|---|
volume-id |
string |
True |
|
volume-name |
string |
False |
|
workload |
string |
False |
Workload type of the volume. Currently only SQL, VOLUMES, VMWARE, ORACLE, HYPERV, K8S, KVM workloads are supported. |
architecture |
string |
False |
Type of storage architecture. Fan-out or cascading. |
mode |
string |
False |
|
type |
string |
False |
|
backup-policy |
False |
||
snapshot-policy |
string |
False |
Snapshot policy name |
replication |
False |
||
is-enabled |
True |